.post-content {
  color: hsl(from var(--color-theme-primary) h calc(s + 25) calc(l + 10));
}

.post-content > *:not(h1, h2, h3, h4, h5, h6) {
  margin-bottom: 2.25em;
}

.post-content > :where(h1, h2, h3, h4, h5, h6) {
  margin-bottom: 1.5em;
}

.post-content img {
  width: 100%;
  height: auto;
  border: 1px solid hsl(from var(--color-black) h s calc(l + 15) / 25%);
}

.post-content pre {
  padding: 1rem;
  background-color: hsl(from var(--color-black) h s calc(l + 20));
}

.post-content code {
  padding: .2em .5em;
  background-color: hsl(from var(--color-black) h s calc(l + 20));
}